package electrosphere.game.data.structure.type.model;

/**
 * Collidable data
 */
public class CollisionObjectTemplate {
    
    String type;
    public static final String TYPE_CUBE = "CUBE";
    public static final String TYPE_PLANE = "PLANE";
    
    
    float positionX;
    float positionY;
    float positionZ;
    
    float scaleX;
    float scaleY;
    float scaleZ;
    
    float rotationW;
    float rotationX;
    float rotationY;
    float rotationZ;

    public String getType() {
        return type;
    }

    public float getPositionX() {
        return positionX;
    }

    public float getPositionY() {
        return positionY;
    }

    public float getPositionZ() {
        return positionZ;
    }

    public float getScaleX() {
        return scaleX;
    }

    public float getScaleY() {
        return scaleY;
    }

    public float getScaleZ() {
        return scaleZ;
    }

    public float getRotationW() {
        return rotationW;
    }

    public float getRotationX() {
        return rotationX;
    }

    public float getRotationY() {
        return rotationY;
    }

    public float getRotationZ() {
        return rotationZ;
    }
    
    
    
    
}
